import { TileCache } from './util/cache';
/**
 * [x, y, z]
 */
export declare type Tile = number[] | [number, number, number];
/**
 * [xmin, ymin, xmax, ymax]
 */
export declare type Bbox = number[] | [number, number, number, number];
export declare type DestinationToPixelFn = ([dx, dy]: number[], zoom: number, tileSize: number) => number[];
export declare type PixelToDestinationFn = ([px, py]: number[], zoom: number, tileSize: number) => number[];
export declare type DestinationToSourceFn = ([dx, dy]: number[]) => number[];
export declare type SourceToPixelFn = ([sx, sy]: number[], zoom: number, tileSize: number) => number[];
export declare type DestinationTileToSourceTilesFn = (props: {
    tile: Tile;
    bbox: Bbox;
}) => {
    tile: Tile;
    bbox: Bbox;
}[];
export interface MapTileAdapterOptions {
    cacheSize?: number;
    destinationTileSize?: number;
    destinationTileToSourceTiles: DestinationTileToSourceTilesFn;
    destinationToPixel: DestinationToPixelFn;
    destinationToSource: DestinationToSourceFn;
    interval?: number[];
    pixelToDestination: PixelToDestinationFn;
    sourceTileSize?: number;
    sourceToPixel: SourceToPixelFn;
}
export declare type MapTileAdapterContext = {
    cache: TileCache<HTMLImageElement | null>;
    destinationTileSize: number;
    destinationTileToSourceTiles: DestinationTileToSourceTilesFn;
    destinationToPixel: DestinationToPixelFn;
    destinationToSource: DestinationToSourceFn;
    interval: number[];
    pixelToDestination: PixelToDestinationFn;
    sourceTileSize: number;
    sourceToPixel: SourceToPixelFn;
};
